Subject: gitk: 'show origin of this line' barfs if gitk run in subdir

From: Mark Burton <[email-masked]>
Date: Wed, 3 Dec 2008 20:51:58 +0000

Hi,

I was just trying out the new gitk feature that shows you the origin of a
selected line in the diff pane and found that it doesn't work right if
gitk is not started in the top-level work directory - i.e. if you are
in a subdir it pops up an error message of this form:

Error running git blame: fatal: no such path $path in $sha1

I guess it needs something like subdir-depth number of ../ prepended to
the front of the pathname to make the blame succeed.

I could try and fix this but I am sure that others who understand
the sources of gitk/git-blame/git can do it much quicker than me.

Cheers,

Mark